<!DOCTYPE html>
<html>
<head>
	<title>Gripp - Formule 1</title>
	<link rel="stylesheet" type="text/css" href="assets/main.css">
	<meta http-equiv="refresh" content="300">
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/mootools/1.4.5/mootools-yui-compressed.js"></script>
</head>
<body>
	<div class="main">
		<div class="header">
			<img class="logo" src="assets/logo.svg">
			<h1>Samen met je collega's in een race tegen de klok</h1>
		</div>
		<div class="content">
			<div id="selector">
				<?php 
					if(isset($_GET['dag'])) {
						echo ' <a class="selected" href="?dag">Dagweergave</a> | <a  href="?week">Weekweergave</a>';
					} else {
						echo ' <a href="?dag">Dagweergave</a> | <a class="selected" href="?week">Weekweergave</a>'; 
					}
					?>


				
			</div>
			<?php
				foreach($combineddata as $d){
                    $html = '
                    	<div class="race">
                    		<div class="person" style="background-image: url('.$d['photo'].')"></div>
                    		'; 
                    		if ($d['winner']){
                                $html .= '
                                    <div class="flag-green"></div>
                                ';
                            } else {
                        		$html .= '
                                    <div class="flag"></div>
                                ';
                            } 
							$html .= '
							<div class="track" >
								<div class="road"></div>
								<div class="car" style="margin-left: calc(' . $d["percentage"]. '% - (50px * ' . ($d["percentage"] / 100). '))" title="'.$d['actualhours'].' van de '.$d['totalplannedhoursaweek'].' geschreven!"></div>
							</div>
							
						</div>
					';
					echo $html;
				}
			?>
		</div>
		<div class="footer">
			<p>
			Maak het werk nét even wat leuker, met <a target="_blank" href="https://www.gripp.com">Gripp</a>!
			</p>
		</div>
	</div>
	<script>
		var cars = $$(".car");

		Object.keys(cars).each(function(e) {
			if(e != 'length')
				cars[e].setStyle('background-image', 'url(\'assets/auto_' + (Math.floor(Math.random() * Math.floor(5)) + 1 )  + '.png\')');
		});

		$$('.tryout').addEvent('click', function() {
			var mask = new Element('div', {
				class: 'mask'
			}).inject(document.body);

			var box = new Element('div', {
				class: 'demoBox'
			}).inject(mask);

			var form = new Element('form', {
				'method': 'GET',
				'action': window.location.href
			}).inject(box);

			new Element('h2', {text: 'Domeinnaam'}).inject(form);
			new Element('input', {'name': 'domain', 'placeholder': 'jouwdomein.gripp.com'}).inject(form);
			new Element('h2', {text: 'API'}).inject(form);
			new Element('input', {'name': 'api', 'placeholder': '#APITOKEN#'}).inject(form);
			new Element('input', {
				'type': 'submit',
				'value': 'Probeer nu!'
			}).inject(form);
		});

	</script>
</body>
</html>